> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Collection S3 Source

> Get redacted S3 source configuration and sync status for a collection.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/collections/{collection_id}/s3-source
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/collections/{collection_id}/s3-source:
    get:
      tags:
        - collections
      summary: Get Collection S3 Source
      description: Get redacted S3 source configuration and sync status for a collection.
      operationId: >-
        get_collection_s3_source_api_v1_collections__collection_id__s3_source_get
      parameters:
        - name: collection_id
          in: path
          required: true
          schema:
            type: integer
            title: Collection Id
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CollectionS3SourceResponse'
                  - type: 'null'
                title: >-
                  Response Get Collection S3 Source Api V1 Collections 
                  Collection Id  S3 Source Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CollectionS3SourceResponse:
      properties:
        id:
          type: integer
          title: Id
        bucket:
          type: string
          title: Bucket
        prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Prefix
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        credentials_type:
          type: string
          enum:
            - access_key
            - public
          title: Credentials Type
        aws_access_key_id:
          type: string
          title: Aws Access Key Id
        aws_secret_access_key_redacted:
          type: string
          title: Aws Secret Access Key Redacted
        sync_status:
          type: string
          title: Sync Status
        last_sync_started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Sync Started At
        last_sync_completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Sync Completed At
        last_sync_file_count:
          type: integer
          title: Last Sync File Count
        last_sync_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Sync Error
        output_bucket:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Bucket
        output_prefix:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Prefix
        output_region:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Region
        output_credentials_type:
          type: string
          enum:
            - source
            - access_key
          title: Output Credentials Type
        output_aws_access_key_id:
          type: string
          title: Output Aws Access Key Id
        output_aws_secret_access_key_redacted:
          type: string
          title: Output Aws Secret Access Key Redacted
        writeback_status:
          type: string
          title: Writeback Status
        last_writeback_run_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Writeback Run Id
        last_writeback_started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Writeback Started At
        last_writeback_completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Writeback Completed At
        last_writeback_file_count:
          type: integer
          title: Last Writeback File Count
        last_writeback_total_file_count:
          type: integer
          title: Last Writeback Total File Count
        last_writeback_failed_file_count:
          type: integer
          title: Last Writeback Failed File Count
        last_writeback_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Writeback Error
        last_writeback_error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Writeback Error Code
        last_writeback_manifest_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Writeback Manifest Uri
      type: object
      required:
        - id
        - bucket
        - prefix
        - region
        - credentials_type
        - aws_access_key_id
        - aws_secret_access_key_redacted
        - sync_status
        - last_sync_started_at
        - last_sync_completed_at
        - last_sync_file_count
        - last_sync_error
        - output_bucket
        - output_prefix
        - output_region
        - output_credentials_type
        - output_aws_access_key_id
        - output_aws_secret_access_key_redacted
        - writeback_status
        - last_writeback_run_id
        - last_writeback_started_at
        - last_writeback_completed_at
        - last_writeback_file_count
        - last_writeback_total_file_count
        - last_writeback_failed_file_count
        - last_writeback_error
        - last_writeback_error_code
        - last_writeback_manifest_uri
      title: CollectionS3SourceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````